f=0.0;
alpha=0.8;

[x,y]=meshgrid(-1.5:0.01:1.5,-1.5:0.01:1.5);

phi1 = 2*pi*x;
phi2 = 2*pi*y;

U = -cos(phi1)-cos(phi2)-alpha*cos(2*pi*f+phi1-phi2);

% figure(1)
% surf(x,y,U)
% shading interp
% xlabel('\phi1')
% ylabel('\phi2')
% zlabel('U (E_J)')

figure(1)
imagesc(phi1(1,:),phi2(:,1),U)
xlabel('\phi1')
ylabel('\phi2')
colorbar
title('f=0   \alpha=0.8')
makepdf('PCQ1');


f=0.5;

U = -cos(phi1)-cos(phi2)-alpha*cos(2*pi*f+phi1-phi2);

figure(2)
imagesc(phi1(1,:),phi2(:,1),U)
xlabel('\phi1')
ylabel('\phi2')
colorbar
title('f=0.5   \alpha=0.8')
makepdf('PCQ2');


% line cuts

phi1 = pi*[-1:0.01:1];
phi2 = -phi1;

f=0.5;
U1 = -cos(phi1)-cos(phi2)-alpha*cos(2*pi*f+phi1-phi2);
f=0.55;
U2 = -cos(phi1)-cos(phi2)-alpha*cos(2*pi*f+phi1-phi2);
f=0.45;
U3 = -cos(phi1)-cos(phi2)-alpha*cos(2*pi*f+phi1-phi2);

figure(3);
plot(phi1,U1);
hold on;
plot(phi1,U2,'r');
plot(phi1,U3,'g');
legend('f=0.5','f=0.55','f=0.45');
xlabel('\phi1=-\phi2')
ylabel('Energy (E_J)')
title('\alpha=0.8');
makepdf('PCQ3');




